#ifndef GTK_WINDOW_H
#define GTK_WINDOW_H

#include <gtkmm.h>
#include <iostream>
#include "network.h"
#include "musicTree.h"

#define MUSIC      "title=\""
#define SINGER      "<span class=\"author_list\" title=\""
#define NUMBER      "找到相关歌曲共<span class=\"number\">"
#define MUSIC_ID    "<a href=\"/song/"
#define MUSIC_URL	"http://music.baidu.com/search/song?key=%1&start=%2&size=20"

using namespace Gtk;
using namespace std;

// window.cc
class MainWindow : public Window
{
public:
	MainWindow();
	virtual ~MainWindow();

protected:
	int		m_page;
	string		m_searchText;
	VBox		m_MainBox, m_VBox0;
	HBox		m_HBox0, m_HBox1;
	Entry		m_editText;
	Button		m_previous, m_next, m_search;
	MusicTree	m_TreeView;
	Label		m_label;
	NetWork	m_http;
	ScrolledWindow m_scroll;

	bool search_data_to_window(const string &data);
	bool download_info_to_window(string &data);
	//signal handler
	void on_readFinish(const string data);
	void on_search_click();
	void on_previous_click();
	void on_next_click();
};
#endif
